Bug 470029 - [fix available] Can not open files through http protocol from servers that don't support "OPTIONS"
[fix available] Can not open files through http protocol from servers that do...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 06:31 EST by Suqin Huang
Modified: 2008-11-07 05:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 05:23:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (19.56 KB, patch)
2008-11-05 09:29 EST, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 78894 None None None Never

  None (edit)
Description Suqin Huang 2008-11-05 06:31:57 EST
Description of problem:
An error message "http://www.microsoft.com/presspass/download/press/2008/02-01Yahoo.ppt is not exit" appear when open this file with openoffice.
(Actual, this file is exit)

Version-Release number of selected component (if applicable):
openoffice.org-2.3.0-6.10.el5 x86_64

How reproducible:
Some ppt files can not be opened

Steps to Reproduce:
1. Open terminal.
2. Open this file: ooffice http://www.microsoft.com/presspass/download/press/2008/02-01Yahoo.ppt
3.
  
Actual results:
A window with the error message "http://www.microsoft.com/presspass/download/press/2008/02-01Yahoo.ppt is not exit" pop up.

Expected results:
The file is opened successfully.

Additional info:
This file is opened successfully with openoffice3.0
Comment 1 David Tardon 2008-11-05 07:02:19 EST
dtardon->caolanm: Was that functionality available in 2.3.0?
Comment 2 Caolan McNamara 2008-11-05 07:13:33 EST
I see it works with a url/filetype of e.g. 
http://people.redhat.com/caolanm/file-chooser-spec.sxw

I'm not sure if this is e.g. not using/believing/knowing about the mime-type the server gives, or some other issue. reminds me of http://qa.openoffice.org/issues/show_bug.cgi?id=72068
Comment 3 Caolan McNamara 2008-11-05 09:28:47 EST
http://people.redhat.com/caolanm/02-01Yahoo.ppt would work, but not direct from MS. Their web-server doesn't support "OPTIONS" like the old code expects, the new code uses "PROPGET" or whatever it is.

Attached is a painful backport that makes this work
Comment 4 Caolan McNamara 2008-11-05 09:29:19 EST
Created attachment 322578 [details]
patch to fix
Comment 5 Caolan McNamara 2008-11-05 09:37:48 EST
So the question is it work the risk to take this non-trivial semi-backport. We would get this for free with a 3.0 rebase and lower risk.
Comment 6 Lawrence Lim 2008-11-06 20:33:23 EST
llim->caolanm, if u feel the risk is high, then we should not include the fix for EL5.
Comment 7 Caolan McNamara 2008-11-07 05:01:53 EST
Having put the effort into backporting it I'm a little reluctant to throw that away, but it's spaghetti-like in here so I'm wary of what might go wrong. Will be good in a later release anyway.
Comment 8 RHEL Product and Program Management 2008-11-07 05:23:18 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.